Get payment details

GET
/v1/payments/{id}

Authorization

headerApi-Key<token>

Path Parameters

id*string

Payment ID

Header Parameters

Api-Key*string
Merchant-Id*string
WCP-Version?string|null
Sdk-Name?string|null
Sdk-Version?string|null
Sdk-Platform?string|null
Idempotency-Key?string|null

Response Body

Payment details retrieved successfully

application/json
  1. response
failureCode?|null
info?|null
referenceId*string

Merchant-provided reference ID for this payment, as supplied during payment creation

settlement?|null
status*PaymentStatus

Payment status

Value in"requires_action""processing""succeeded""failed""expired""cancelled"
curl -X GET 'https://api.pay.walletconnect.com/v1/payments/pay_7fa2ecc101ARZ3NDEKTSV4RRFFQ69G5FAV' \  -H 'Api-Key: string' \  -H 'Merchant-Id: string'
{  "failureCode": "declined_user",  "info": {    "optionAmount": {      "display": {        "assetName": "string",        "assetSymbol": "string",        "decimals": 0,        "iconUrl": "string",        "networkIconUrl": "string",        "networkName": "string"      },      "unit": "string",      "value": "string"    },    "txId": "string"  },  "referenceId": "string",  "settlement": {    "successful": {      "amount": {        "unit": "string",        "value": "string"      },      "txId": "string"    }  },  "status": "requires_action"}